GET
Get Signing Payload for Partner Settlement
This API call allows partners to get the partner settlement payload for signing. The returned payload should be cryptographically signed by the partner and included in the subsequent settlement creation request. If your HTTP client doesn't support sending a request body on a get request, use the V1PartnerSettlementsSigningPostRoute
Requires access token scope: settlement_network_read
Path Params
-
enterpriseIdstring required
Body Params
object
-
externalIdstring requiredExternal identifier for the settlement request. This should be unique for each settlement request and is used for idempotence and correlation with partner systems. -
notesstringOptional notes about the settlement. Can contain additional context or information about the purpose of the settlement. -
settlementAmountsobject requiredONE OF
-
<key>map of stringsvalue object
-
<key>stringFor unmapped settlement amounts where the amount can be either BigNumberFromString or BigIntFromString. This provides flexibility in how monetary values are represented in settlement requests.
-
-
<key>map of objectsvalue object
-
<key>map of stringsvalue object
-
<key>stringFor unmapped settlement amounts where the amount can be either BigNumberFromString or BigIntFromString. This provides flexibility in how monetary values are represented in settlement requests.
-
-
-
-
noncestring requiredA unique nonce value used for cryptographic operations. This provides additional security for settlement operations. -
cutoffAtstring date-timeThe date and time of the most recent trade being settled, represented in ISO 8601 format. Optional field used for v2 settlements.
Responses
200
OK
Response Body
object
-
payloadstring required
400
Bad Request
No response body
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
409
Conflict
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required